---
updatedAt: 2025-09-18T21:52:41.000Z
agentTools:
  projectIndex: https://docs.nodereal.io/llms.txt
---

# eth_getUncleCountByBlockNumber

Returns the number of uncles for the block matching the given block number.

> 📘 Supported on Avalanche C-Chain (mainnet) only.

## Parameters

* `number` - Integer of a block number in hexadecimal format starting with 0x.

## Returns

* `uncles` - Integer value of the number of uncles in the block encoded as a hexadecimal.

## API Endpoint

The format of an Avalanche C-Chain API endpoint is\
`https://open-platform.nodereal.io/{{apiKey}}/avalanche-c/ext/bc/C/rpc` - for RPC API\
`https://open-platform.nodereal.io/{{apiKey}}/avalanche-c/ext/bc/C/avax` - for AVAX API

Here is an example:\
`https://open-platform.nodereal.io/4c0a1c23661a4e26bcbcwed461e34ea9/avalanche-c/ext/bc/C/rpc`\
`https://open-platform.nodereal.io/4c0a1c23661a4e26bcbcwed461e34ea9/avalanche-c/ext/bc/C/avax`

## Example

**Request**

```
curl https://open-platform.nodereal.io/{{apiKey}}/avalanche-c/ext/bc/C/rpc \
  -X POST \
  -H "Content-Type: application/json" \
  --data '{"method":"eth_getUncleCountByBlockNumber","params":["0xc5043f"],"id":1,"jsonrpc":"2.0"}'
```

**Result**

```
{
  "id":1,
  "jsonrpc": "2.0",
  "result": "0x1" 
}
```